{$M $500,0,0 }
uses crt,Dos;
var
password,CurrDirectory: string;
f:file;

Procedure Writefile(text: string;numchar: byte; var f:file);
var lung,t: byte;
    text1: string;
begin
lung:=length(text);
text1:=text;if numchar>lung then for t:=lung+1 to numchar do text1[t]:=' ';
for t:=0 to numchar do blockwrite(f,text1[t],1);
end;

Procedure Readfile(var text:string; lung:byte; var f:file);
var t: byte;
text1: string;
begin
for t:=0 to lung do blockread(f,text1[t],1);
for t:=lung+1 to 255 do text1[t]:=' ';
text:=text1;
end;


begin
  GetDir(0,CurrDirectory);
  chdir(CurrDirectory);
  assign(f,'password.WWW');
  rewrite(f,1);
  writefile('Check',8,f);
  close(f);
  repeat
  assign(f,'password.WWW');
  reset(f,1);
  readfile(password,8,f);
  close(f);
  SwapVectors;
  Exec(Password+'.Exe','');
  SwapVectors;
  until password='Exit';
  clrscr;
  TextMode(2);
  writeln('AAhhhhhh! Again to Dos! (Hey Dude, Thank you for playing)');
  delay(500);
  halt(1);
end.